(define-module (slim-for-display-1)
  #:use-module (guix packages)
  #:use-module (gnu packages display-managers))

(define-public slim-for-display-1
  (package
    (inherit slim)
    (name "slim-for-display-1")
    (arguments
     '(#:phases
       (modify-phases %standard-phases
         (add-before 'configure 'set-new-etc-location
           (lambda _
             (substitute* "CMakeLists.txt"
               (("/etc")
                (string-append (assoc-ref %outputs "out") "/etc"))
               (("install.*systemd.*")
               ;; The build system's logic here is: if "Linux", then
                ;; "systemd".  Strip that.
                ""))
             #t))
         (add-before 'configure 'modify-hardcoded-display
           (lambda _
             (substitute* "const.h"
               ((":0.0") ":1.0"))
             (substitute* "app.cpp"
               ((":0") ":1"))
             (substitute* "switchuser.cpp"
               ((":0") ":1"))
             #t)))
       #:configure-flags '("-DUSE_PAM=yes"
                           "-DUSE_CONSOLEKIT=no")
       #:tests? #f))))

slim-for-display-1
